Apache Struts API Documentation: Class RadioTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class RadioTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.RadioTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RadioTag
extends BaseHandlerTag

Tag for input fields of type "radio".

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `name` The name of the bean containing our underlying property.
`protected java.lang.String` | `property` The property name for this field.
`protected java.lang.String` | `text` The body content of this tag (if any).
`protected java.lang.String` | `value` The server value for this option.

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, disabled, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, readonly, style, styleClass, styleId, tabindex, title`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RadioTag()`

Method Summary
`int` | `doAfterBody()` Save the associated label from the body content.
`int` | `doEndTag()` Optionally render the associated label from the body content.
`int` | `doStartTag()` Generate the required input tag.
`java.lang.String` | `getName()`
`java.lang.String` | `getProperty()` Return the property name.
`java.lang.String` | `getValue()` Return the server value.
`void` | `release()` Release any acquired resources.
`void` | `setName(java.lang.String name)`
`void` | `setProperty(java.lang.String property)` Set the property name.
`void` | `setValue(java.lang.String value)` Set the server value.

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, prepareEventHandlers, prepareFocusEvents, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### messages

    protected static MessageResources messages

  The message resources for this package.

### name

    protected java.lang.String name

  The name of the bean containing our underlying property.

### property

    protected java.lang.String property

  The property name for this field.

### text

    protected java.lang.String text

  The body content of this tag (if any).

### value

    protected java.lang.String value

  The server value for this option.

Constructor Detail

### RadioTag

    public RadioTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getProperty

    public java.lang.String getProperty()

  Return the property name.

### setProperty

    public void setProperty(java.lang.String property)

  Set the property name.
  Parameters:
    `name` - The new property name

### getValue

    public java.lang.String getValue()

  Return the server value.

### setValue

    public void setValue(java.lang.String value)

  Set the server value.
  Parameters:
    `value` - The new server value

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Generate the required input tag.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Save the associated label from the body content.
  Overrides:
    `doAfterBody` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Optionally render the associated label from the body content.
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `BaseHandlerTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation